Skip to main content
GET
/
api
/
public
/
v1
/
entity
/
{address}
Get API public v1 entity by address
curl --request GET \
  --url https://api.coinversa.ai/api/public/v1/entity/{address} \
  --header 'X-API-Key: <api-key>'
import requests

url = "https://api.coinversa.ai/api/public/v1/entity/{address}"

headers = {"X-API-Key": "<api-key>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {'X-API-Key': '<api-key>'}};

fetch('https://api.coinversa.ai/api/public/v1/entity/{address}', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));


{
  "combinedGrossEntryNotional": 123,
  "combinedOpenPositions": 123,
  "combinedWallets": 123,
  "entity": "<string>",
  "isMultiWallet": true,
  "members": [
    {
      "address": "<string>",
      "grossEntryNotional": 123,
      "openPositions": 123,
      "relation": "<string>",
      "name": "<string>"
    }
  ],
  "topOpenPositions": [
    {
      "address": "<string>",
      "coin": "<string>",
      "direction": "<string>",
      "entryVwap": 123,
      "openedAt": "<string>",
      "size": 123
    }
  ],
  "$schema": "<string>",
  "verified": {
    "chain_time": "<string>",
    "positions": 123,
    "verified_at_block": 123
  }
}
{
  "$schema": "<string>",
  "code": "<string>",
  "current_tier": "<string>",
  "detail": "<string>",
  "errors": [
    {
      "location": "<string>",
      "message": "<string>",
      "value": "<unknown>"
    }
  ],
  "instance": "<string>",
  "required_tier": "<string>",
  "status": 123,
  "title": "<string>",
  "type": "about:blank",
  "upgrade_url": "<string>"
}
{
  "$schema": "<string>",
  "code": "<string>",
  "current_tier": "<string>",
  "detail": "<string>",
  "errors": [
    {
      "location": "<string>",
      "message": "<string>",
      "value": "<unknown>"
    }
  ],
  "instance": "<string>",
  "required_tier": "<string>",
  "status": 123,
  "title": "<string>",
  "type": "about:blank",
  "upgrade_url": "<string>"
}
{
  "$schema": "<string>",
  "code": "<string>",
  "current_tier": "<string>",
  "detail": "<string>",
  "errors": [
    {
      "location": "<string>",
      "message": "<string>",
      "value": "<unknown>"
    }
  ],
  "instance": "<string>",
  "required_tier": "<string>",
  "status": 123,
  "title": "<string>",
  "type": "about:blank",
  "upgrade_url": "<string>"
}
{
  "$schema": "<string>",
  "code": "<string>",
  "current_tier": "<string>",
  "detail": "<string>",
  "errors": [
    {
      "location": "<string>",
      "message": "<string>",
      "value": "<unknown>"
    }
  ],
  "instance": "<string>",
  "required_tier": "<string>",
  "status": 123,
  "title": "<string>",
  "type": "about:blank",
  "upgrade_url": "<string>"
}
{
  "$schema": "<string>",
  "code": "<string>",
  "current_tier": "<string>",
  "detail": "<string>",
  "errors": [
    {
      "location": "<string>",
      "message": "<string>",
      "value": "<unknown>"
    }
  ],
  "instance": "<string>",
  "required_tier": "<string>",
  "status": 123,
  "title": "<string>",
  "type": "about:blank",
  "upgrade_url": "<string>"
}
{
  "$schema": "<string>",
  "code": "<string>",
  "current_tier": "<string>",
  "detail": "<string>",
  "errors": [
    {
      "location": "<string>",
      "message": "<string>",
      "value": "<unknown>"
    }
  ],
  "instance": "<string>",
  "required_tier": "<string>",
  "status": 123,
  "title": "<string>",
  "type": "about:blank",
  "upgrade_url": "<string>"
}

Authorizations

X-API-Key
string
header
required

Path Parameters

address
string
required

Any wallet — master, sub-account, or unknown; resolves to the owning entity either way

Response

OK

combinedGrossEntryNotional
number<double>
required
combinedOpenPositions
integer<int32>
required
combinedWallets
integer<int64>
required
entity
string
required

Master address — the entity id

isMultiWallet
boolean
required
members
object[] | null
required
topOpenPositions
object[] | null
required
$schema
string<uri>
read-only

A URL to the JSON Schema for this object.

Example:

"https://api.coinversa.ai/schemas/EntityProfileBody.json"

verified
object